services:
    app.ads.sections_form_type:
        class: App\AdsBundle\Form\Type\AdsSectionsType
        arguments:
            - '@doctrine.orm.entity_manager'
        tags:
            - { name: form.type }


    app.ads.validator.banner_dimensions:
        class: App\AdsBundle\Validator\Constraints\AdBannerDimensionsValidator
        tags:
            -  name: validator.constraint_validator


    app.ads.twig.block:
        class: App\AdsBundle\Twig\AdBlockExtension
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@twig'
        tags:
            - { name: twig.extension }